Package javassist.compiler.ast

# Class InstanceOfExpr

java.lang.Object
javassist.compiler.ast.ASTree
javassist.compiler.ast.ASTList
javassist.compiler.ast.CastExpr
javassist.compiler.ast.InstanceOfExpr

All Implemented Interfaces:
  `Serializable`, `javassist.compiler.TokenId`

public class InstanceOfExpr extends CastExpr
Instanceof expression.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface javassist.compiler.TokenId

`ABSTRACT, AND_E, ANDAND, ARRAY, ARSHIFT, ARSHIFT_E, assignOps, BadToken, BLOCK, BOOLEAN, BREAK, BYTE, CALL, CASE, CATCH, CHAR, CharConstant, CLASS, CONST, CONTINUE, DECL, DEFAULT, DIV_E, DO, DOUBLE, DoubleConstant, ELSE, EQ, EXOR_E, EXPR, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FloatConstant, FOR, GE, GOTO, Identifier, IF, IMPLEMENTS, IMPORT, INSTANCEOF, INT, IntConstant, INTERFACE, LABEL, LE, LONG, LongConstant, LSHIFT, LSHIFT_E, MEMBER, MINUS_E, MINUSMINUS, MOD_E, MUL_E, NATIVE, NEQ, NEW, NULL, opNames, OR_E, OROR, PACKAGE, PLUS_E, PLUSPLUS, PRIVATE, PROTECTED, PUBLIC, RETURN, RSHIFT, RSHIFT_E, SHORT, STATIC, STRICT, StringL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE`

## Constructor Summary

Constructors
Constructor
Description
`InstanceOfExpr(int type, int dim, ASTree expr)`
`InstanceOfExpr(ASTList className, int dim, ASTree expr)`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(Visitor v)`
Is a method for the visitor pattern.
`String`
`getTag()`

### Methods inherited from class javassist.compiler.ast.CastExpr

`getArrayDim, getClassName, getOprand, getType, setOprand`

### Methods inherited from class javassist.compiler.ast.ASTList

`append, concat, getLeft, getRight, head, length, length, make, setHead, setLeft, setRight, setTail, sublist, subst, tail, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InstanceOfExpr

public InstanceOfExpr(ASTList className, int dim, ASTree expr)

### InstanceOfExpr

public InstanceOfExpr(int type, int dim, ASTree expr)

## Method Details

### getTag

public String getTag()

Overrides:
  `getTag` in class `CastExpr`

### accept

public void accept(Visitor v) throws javassist.compiler.CompileError
Description copied from class: `ASTree`
Is a method for the visitor pattern. It calls `atXXX()` on the given visitor, where `XXX` is the class name of the node object.

Overrides:
  `accept` in class `CastExpr`
Throws:
  `javassist.compiler.CompileError`